#!/bin/bash

serverDir="/home/atola/server"
rootfilesDir="${serverDir}/rootdirFiles"

firmwarePath="${serverDir}/firmware.afm"

if [[ -e ${firmwarePath} ]]; then
    rm -f ${firmwarePath}
fi

zip -r ${firmwarePath} ${serverDir}

cd ${rootfilesDir}
zip -gr ${firmwarePath} ./

if [ $# -gt 0 ]; then
    mv ${firmwarePath} $1
fi

