#!/bin/bash
JVM_SETTINGS="-Djava.library.path=./lib -noverify"
VERTEX_SETTINGS="-Dvertx.cacheDir=/dev/shm -Dvertx.cacheDirBase=/dev/shm/vertx-cache -Dvertx.options.blockedThreadCheckInterval=10000"

while true; do
    ulimit -n 1000000
    cd /home/atola/server
    cgexec -g cpu:taskforce java $JVM_SETTINGS $VERTEX_SETTINGS -cp "Launcher.jar;Server.jar:*" io.vertx.core.Launcher run MainVerticle

    status=$?
    echo "Flab exited with code $status"
    test $status -gt 128 && break
    test $status -eq 0 && break
    sleep 1
done
